Bug 7629 - Update sco.css to include CSS Gradients and prevent error upon missing background image file.
Summary: Update sco.css to include CSS Gradients and prevent error upon missing backgr...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: 3.6
Hardware: All All
: P5 - low trivial (vote)
Assignee: Owen Leonard
QA Contact: Ian Walls
URL:
Keywords:
Depends on: 6865
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-01 13:32 UTC by Martin Renvoize
Modified: 2013-12-05 19:59 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 7629 - Update sco.css to include CSS Gradients and prevent error upon missing background image file (6.76 KB, patch)
2012-03-01 14:51 UTC, Owen Leonard
Details | Diff | Splinter Review
[Signed Off] Bug 7629 - Update sco.css to include CSS Gradients and prevent error upon missing background image file (6.89 KB, patch)
2012-03-05 16:04 UTC, Liz Rea
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2012-03-01 13:32:27 UTC
I noticed that the apache error log kept reporting that the files submit-bg.gif and listmenu-container-bg.gif were missing. Upon inspection they were removed as part of Bug:6865, but sco.css had been not been changed to reflect this.
Comment 1 Martin Renvoize 2012-03-01 13:50:31 UTC
Correction.. I've found the link to submit-bg.gif in sco.css...  I'm still trying to track down where listmenu-container-bg.gif is being linked from.
Comment 2 Owen Leonard 2012-03-01 14:51:01 UTC Comment hidden (obsolete)
Comment 3 Liz Rea 2012-03-05 16:04:51 UTC
Created attachment 8015 [details] [review]
[Signed Off] Bug 7629 - Update sco.css to include CSS Gradients and prevent error upon missing background image file

Copying CSS gradients for input buttons and dialogs from opac.css. Also copied missing
CSS for language-picker footer. Markup corrected in a couple of places in order
for the right style to be applied.

To test corrections to dialog CSS, enter an invalid patron barcode.
Multiple languages will have to be enabled in order to see the footer
correction working.

Signed-off-by: Liz Rea <wizzyrea@gmail.com>
Dialog CSS looks correct, footer also looks correct with multi languages.
Comment 4 Ian Walls 2012-03-05 18:53:04 UTC
CSS and template-level only change.  Easy to read, introduces CSS3 features to match elsewhere in the system.  Marking as Passed QA.
Comment 5 Jared Camins-Esakov 2012-05-23 23:57:10 UTC
This will be included in the 3.6.5 release.